Update real estate voiceover text
curl --request PATCH \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"new_text": "<string>"
}
'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/"
payload = { "new_text": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_text: '<string>'})
};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'new_text' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/"
payload := strings.NewReader("{\n \"new_text\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"new_text\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_text\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"audio_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"duration_s": 123,
"file_size": 123,
"bitrate": 123,
"sample_rate": 123,
"channels": 123
},
"caption_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"file": "<string>"
},
"text_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>"
},
"metadata": "<unknown>"
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Voiceover
Update real estate voiceover text
Replace the saved voiceover text with new_text. When the text changes, the backend deletes the old voiceover audio and captions because those outputs no longer match. Generate new audio after the update.
PATCH
/
api
/
v2
/
real-estate
/
projects
/
{project_id}
/
voiceover
/
Update real estate voiceover text
curl --request PATCH \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"new_text": "<string>"
}
'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/"
payload = { "new_text": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_text: '<string>'})
};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'new_text' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/"
payload := strings.NewReader("{\n \"new_text\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"new_text\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/voiceover/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_text\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"audio_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"duration_s": 123,
"file_size": 123,
"bitrate": 123,
"sample_rate": 123,
"channels": 123
},
"caption_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"file": "<string>"
},
"text_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>"
},
"metadata": "<unknown>"
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Require text when patching a real-estate project voiceover.
New project voiceover text. A changed value deletes old voiceover audio and captions.
Maximum string length:
2500Response
Serializer for VoiceoverAsset with nested audio and text.
Datetime when the record was created.
Serializer for AudioAsset with basic fields.
Show child attributes
Show child attributes
Serialize one generated caption asset.
Show child attributes
Show child attributes
Serializer for TextAsset with basic fields.
Show child attributes
Show child attributes
Voiceover - e.g. extra description fields
Was this page helpful?